load("@io_bazel_rules_go//go:def.bzl", "go_library", "go_test")

go_library(
    name = "platform",
    srcs = [
        "apply.go",
        "archive.go",
        "installer.go",
    ],
    importpath = "github.com/Eriyc/rules_wails/pkg/wails3kit/updates/platform",
    visibility = ["//visibility:public"],
    deps = [
        "//pkg/wails3kit/updates",
    ],
)

go_test(
    name = "platform_test",
    srcs = ["platform_test.go"],
    embed = [":platform"],
    deps = ["//pkg/wails3kit/updates"],
)
